#Import Points from CSV

import rhinoscriptsyntax as rs

#Select a file to open
filename = rs.OpenFileName("Open CSV file","*.csv|", None, None, None)

#open the file for reading
file = open(filename, 'r')

#read lines into a variable called lines
lines = file.readlines()

#close the source file
file.close

#delete the first line because it's a header
del lines [0]

#print to check the data
print [lines]

ptNumber = 0

rs.EnableRedraw(False)

for line in lines:
    #remove the \n
    line = line.strip()
    #split the line by the comma
    ptInfo = line.split(',')
    x = float(ptInfo[0])
    y = float(ptInfo[1])
    z = float(ptInfo[2])
#    pt = rs.AddPoint(x,y,z)
#    namePt = "pt_" + str(ptNumber)
#    rs.ObjectName(pt,namePt)
    sphere_center = [x,y,z]
    sphere_radius = 2
    sphere = rs.AddSphere(sphere_center,sphere_radius)
    nameSphere="sph_" + str(ptNumber)
    rs.ObjectName(sphere,nameSphere)
    ptNumber += 1
    rs.EnableRedraw(True)

